### Constructor

# Gtk Label new_with_mnemonic

#### Declaration [src]

    GtkWidget*
    gtk_label_new_with_mnemonic (
      const char* str
    )

#### Description [src]

Creates a new label with the given text inside it, and a mnemonic.

If characters in `str` are preceded by an underscore, they are underlined. If you need a literal underscore character in a label, use ‘__’ (two underscores). The first underlined character represents a keyboard accelerator called a mnemonic. The mnemonic key can be used to activate another widget, chosen automatically, or explicitly using `gtk_label_set_mnemonic_widget()`.

If `gtk_label_set_mnemonic_widget()` is not called, then the first activatable ancestor of the label will be chosen as the mnemonic widget. For instance, if the label is inside a button or menu item, the button or menu item will automatically become the mnemonic widget and be activated by the mnemonic.

#### Parameters

`str`

  Type: `const char*`

  The text of the label, with an underscore in front of the mnemonic character.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The new label.

The data is owned by the called function.